-- (C) Copyright International Business Machines Corporation 23 January 
-- 1990.  All Rights Reserved. 
--  
-- See the file USERAGREEMENT distributed with this software for full 
-- terms and conditions of use. 
calendar_display: using(events, times) definitions
-- functions to convert between human input and events/times

StringToTime: callmessage(
  string: charstring,
  time: time_value
  )
  constant(string)
  exit{full}
  exception ConversionError {init(string)};
StringToTimeIn: inport of StringToTime {init(string)};
StringToTimeOut: outport of StringToTimeIn;

TimeToString:callmessage(
  time: time_value,
  string: charstring
  )
  constant(time)
  exit{full};
TimeToStringIn: inport of TimeToString {init(time)};
TimeToStringOut: outport of TimeToStringIn;

EventToString: callmessage(
  TheEvent: An_Event,
  string: charstring
  )
  constant(TheEvent)
  exit{full};
EventToStringIn: inport of EventToString {full(TheEvent)};
EventToStringOut: outport of EventToStringIn;

end definitions
